Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ibxm
Class Instrument

    java.lang.Object
      ibxm.Instrument

    public class Instrument

extends Object

Field Summary
`String` | `name`
`boolean` | `panning_envelope_active`
`int` | `vibrato_depth`
`int` | `vibrato_rate`
`int` | `vibrato_sweep`
`int` | `vibrato_type`
`boolean` | `volume_envelope_active`
`int` | `volume_fade_out`

Constructor Summary
`Instrument()`

Method Summary
`int` | `get_num_samples()`
`Envelope` | `get_panning_envelope()`
`Sample` | `get_sample_from_key(int key)`
`Sample` | `get_sample(int sample_index)`
`Envelope` | `get_volume_envelope()`
`void` | `set_key_to_sample(int key, int sample)`
`void` | `set_num_samples(int num_samples)`
`void` | `set_panning_envelope(Envelope envelope)`
`void` | `set_sample(int sample_index, Sample sample)`
`void` | `set_volume_envelope(Envelope envelope)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

### vibrato_type

    public int vibrato_type

### vibrato_sweep

    public int vibrato_sweep

### vibrato_depth

    public int vibrato_depth

### vibrato_rate

    public int vibrato_rate

### volume_envelope_active

    public boolean volume_envelope_active

### panning_envelope_active

    public boolean panning_envelope_active

### volume_fade_out

    public int volume_fade_out

Constructor Detail

### Instrument

    public Instrument()

Method Detail

### get_volume_envelope

    public Envelope get_volume_envelope()

### set_volume_envelope

    public void set_volume_envelope(Envelope envelope)

### get_panning_envelope

    public Envelope get_panning_envelope()

### set_panning_envelope

    public void set_panning_envelope(Envelope envelope)

### get_sample_from_key

    public Sample get_sample_from_key(int key)

### set_key_to_sample

    public void set_key_to_sample(int key,
                                  int sample)

### get_num_samples

    public int get_num_samples()

### set_num_samples

    public void set_num_samples(int num_samples)

### get_sample

    public Sample get_sample(int sample_index)

### set_sample

    public void set_sample(int sample_index,
                           Sample sample)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD